aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <austinenglish@gmail.com>2018-10-12 17:20:58 -0500
committerMike Frysinger <vapier@gmail.com>2018-11-27 21:22:29 -0500
commitf4597c546a998085e09880aa6663d1d6ee05fac4 (patch)
treefe0591ff6cd72ff0f74888197e7a6f26f062cec6
parente10afc8e757fb914e632e9c40fc6e589e6d47580 (diff)
give TravisCI a try
-rw-r--r--.travis.yml14
-rwxr-xr-xtest/travis.sh25
2 files changed, 39 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 00000000..4c5ebd5b
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,14 @@
+# Travis build integration.
+# https://docs.travis-ci.com/
+
+language: c
+
+os:
+ - linux
+
+compiler:
+ - gcc
+ - clang
+
+script:
+ - ./test/travis.sh
diff --git a/test/travis.sh b/test/travis.sh
new file mode 100755
index 00000000..8b49431b
--- /dev/null
+++ b/test/travis.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (c) 2007-2018 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+set -e
+set -u
+set -x
+
+# These are steps to run on TravisCI under a containerized Ubuntu system.
+# See $TOP/.travis.yml for more info about the TravisCI setup.
+
+cpus=$(getconf _NPROCESSORS_CONF || echo 1)
+# make on TravisCI doesn't support -O yet
+make -j"${cpus}"
+
+# This make whitespace/etc. checks fatal.
+export FATAL_CHECKS=1
+make test